# Uses of Interface
org.jboss.modules.maven.MavenResolver

Packages that use MavenResolver
Package
Description
org.jboss.modules.maven
org.jboss.modules.xml

## Uses of MavenResolver in org.jboss.modules.maven

Methods in org.jboss.modules.maven that return MavenResolver
Modifier and Type
Method
Description
`static MavenResolver`
MavenResolver.`createDefaultResolver()`
Create a Maven artifact resolver using the default strategy.
Methods in org.jboss.modules.maven with parameters of type MavenResolver
Modifier and Type
Method
Description
`static ResourceLoader`
MavenArtifactUtil.`createMavenArtifactLoader(MavenResolver mavenResolver, String name)`
A utility method to create a Maven artifact resource loader for the given artifact name.
`static ResourceLoader`
MavenArtifactUtil.`createMavenArtifactLoader(MavenResolver mavenResolver, ArtifactCoordinates coordinates, String rootName)`
A utility method to create a Maven artifact resource loader for the given artifact coordinates.

## Uses of MavenResolver in org.jboss.modules.xml

Methods in org.jboss.modules.xml with parameters of type MavenResolver
Modifier and Type
Method
Description
`static ModuleSpec`
ModuleXmlParser.`parseModuleXml(ModuleXmlParser.ResourceRootFactory factory, MavenResolver mavenResolver, String rootPath, InputStream source, String moduleInfoFile, ModuleLoader moduleLoader, String moduleName)`
Parse a `module.xml` file.
`static ModuleSpec`
ModuleXmlParser.`parseModuleXml(ModuleXmlParser.ResourceRootFactory factory, MavenResolver mavenResolver, String rootPath, InputStream source, String moduleInfoFile, ModuleLoader moduleLoader, ModuleIdentifier moduleIdentifier)`
Deprecated.
Use `ModuleXmlParser.parseModuleXml(ResourceRootFactory, MavenResolver, String, InputStream, String, ModuleLoader, String)` instead.